Summary:	KDE Frameworks 5 abstraction to provide and leverage actions of a specific kind
Name:		purpose
Version:	1.1
Release:	2
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{name}-%{version}.tar.xz
Patch0:		purpose-1.1-soversion.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kaccounts-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
# Runtime libraries check in cmake
BuildRequires:	kf5declarative-qml
BuildRequires:	ubuntuonlineaccounts-qml
Requires:	kf5declarative-qml
Requires:	ubuntuonlineaccounts-qml
Conflicts:	kamoso < 2.0.2-7.20140902.5

%description
Purpose offers the possibility to create integrate services and actions on
any application without having to implement them specifically. Purpose will
offer them mechanisms to list the different alternatives to execute given the
requested action type and will facilitate components so that all the plugins
can receive all the information they need.

%files
%{_kde5_datadir}/accounts/services/kde/google-youtube.service
%{_kde5_datadir}/accounts/services/kde/twitter-microblog.service
%dir %{_kde5_datadir}/kpackage/Purpose/Twitter/
%{_kde5_datadir}/kpackage/Purpose/Twitter/*
%{_kde5_datadir}/purpose/kdeconnectplugin_config.qml
%{_kde5_datadir}/purpose/reviewboardplugin_config.qml
%{_kde5_datadir}/purpose/saveasplugin_config.qml
%{_kde5_datadir}/purpose/youtubeplugin_config.qml
%{_kde5_datadir}/purpose/types/ExportPluginType.json
%{_kde5_iconsdir}/hicolor/*/actions/kipiplugin_youtube.png
%{_kde5_iconsdir}/hicolor/*/apps/reviewboard-purpose.png
%{_kde5_libexecdir}/kf5/purposeprocess
%{_qt5_plugindir}/purpose/imgurplugin.so
%{_qt5_plugindir}/purpose/kdeconnectplugin.so
%{_qt5_plugindir}/purpose/ktpsendfileplugin.so
%{_qt5_plugindir}/purpose/pastebinplugin.so
%{_qt5_plugindir}/purpose/reviewboardplugin.so
%{_qt5_plugindir}/purpose/saveasplugin.so
%{_qt5_plugindir}/purpose/youtubeplugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 abstractions module translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE Frameworks 5 abstractions module translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define qmlkf5purpose %mklibname kf5purpose-qml

%package -n %{qmlkf5purpose}
Summary:	QML plugin for KDE Frameworks 5 abstractions module
Group:		System/Libraries
Provides:	kf5purpose-qml = %{EVRD}

%description -n %{qmlkf5purpose}
QML plugin for KDE Frameworks 5 abstractions module.

%files -n %{qmlkf5purpose}
%dir %{_kde5_qmldir}/org/kde/purpose/
%{_kde5_qmldir}/org/kde/purpose/*

#----------------------------------------------------------------------------

%define rbhelpers_major 5
%define librbhelpers %mklibname reviewboardhelpers %{rbhelpers_major}

%package -n %{librbhelpers}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries

%description -n %{librbhelpers}
KDE Frameworks 5 abstractions shared library.

%files -n %{librbhelpers}
%{_kde5_libdir}/libReviewboardHelpers.so.%{rbhelpers_major}*

#----------------------------------------------------------------------------

%define kf5purpose_major 5
%define libkf5purpose %mklibname kf5purpose %{kf5purpose_major}

%package -n %{libkf5purpose}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5purpose}

%description -n %{libkf5purpose}
KDE Frameworks 5 abstractions shared library.

%files -n %{libkf5purpose}
%{_kde5_libdir}/libKF5Purpose.so.%{kf5purpose_major}*

#----------------------------------------------------------------------------

%define kf5purposewidgets_major 5
%define libkf5purposewidgets %mklibname kf5purposewidgets %{kf5purposewidgets_major}

%package -n %{libkf5purposewidgets}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries

%description -n %{libkf5purposewidgets}
KDE Frameworks 5 abstractions shared library.

%files -n %{libkf5purposewidgets}
%{_kde5_libdir}/libKF5PurposeWidgets.so.%{kf5purposewidgets_major}*

#----------------------------------------------------------------------------

%define devkf5purpose %mklibname kf5purpose -d

%package -n %{devkf5purpose}
Summary:	Development files for KDE Frameworks 5 abstactions module
Group:		Development/KDE and Qt
Requires:	%{libkf5purpose} = %{EVRD}
Requires:	%{libkf5purposewidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5purpose-devel = %{version}

%description -n %{devkf5purpose}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5purpose}
%{_kde5_includedir}/KF5/purpose
%{_kde5_includedir}/KF5/purposewidgets
%{_kde5_libdir}/cmake/KDEExperimentalPurpose
%{_kde5_libdir}/libKF5Purpose.so
%{_kde5_libdir}/libKF5PurposeWidgets.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# Conflicts with kdevplatform4, remove for now
rm -rf %{buildroot}%{_kde5_iconsdir}/hicolor/*/apps/reviewboard.png

# Private library, shouldn't have a devel .so
rm -rf %{buildroot}%{_kde5_libdir}/libReviewboardHelpers.so

%find_lang libpurpose_quick libpurpose_widgets \
           purpose_imgur purpose_ktp-sendfile purpose_pastebin purpose_reviewboard purpose_saveas purpose_youtube \
           %{name}.lang

%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1-2
- (00c824a) Add check runtime QML libraries at build time (less warnings in cmake log)
- (00c824a) Update files (path for services)


